]> jfr.im git - irc/gameservirc.git/blame - gameserv/configure
Fixed a few things with the version and ping.
[irc/gameservirc.git] / gameserv / configure
CommitLineData
93626d45 1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.13
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36bindir='${exec_prefix}/bin'
37sbindir='${exec_prefix}/sbin'
38libexecdir='${exec_prefix}/libexec'
39datadir='${prefix}/share'
40sysconfdir='${prefix}/etc'
41sharedstatedir='${prefix}/com'
42localstatedir='${prefix}/var'
43libdir='${exec_prefix}/lib'
44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
52SHELL=${CONFIG_SHELL-/bin/sh}
53# Maximum number of lines to put in a shell here document.
54ac_max_here_lines=12
55
56ac_prev=
57for ac_option
58do
59
60 # If the previous option needs an argument, assign it.
61 if test -n "$ac_prev"; then
62 eval "$ac_prev=\$ac_option"
63 ac_prev=
64 continue
65 fi
66
67 case "$ac_option" in
68 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
69 *) ac_optarg= ;;
70 esac
71
72 # Accept the important Cygnus configure options, so we can diagnose typos.
73
74 case "$ac_option" in
75
76 -bindir | --bindir | --bindi | --bind | --bin | --bi)
77 ac_prev=bindir ;;
78 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
79 bindir="$ac_optarg" ;;
80
81 -build | --build | --buil | --bui | --bu)
82 ac_prev=build ;;
83 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
84 build="$ac_optarg" ;;
85
86 -cache-file | --cache-file | --cache-fil | --cache-fi \
87 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
88 ac_prev=cache_file ;;
89 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
90 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
91 cache_file="$ac_optarg" ;;
92
93 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
94 ac_prev=datadir ;;
95 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
96 | --da=*)
97 datadir="$ac_optarg" ;;
98
99 -disable-* | --disable-*)
100 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
101 # Reject names that are not valid shell variable names.
102 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
103 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
104 fi
105 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
106 eval "enable_${ac_feature}=no" ;;
107
108 -enable-* | --enable-*)
109 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
110 # Reject names that are not valid shell variable names.
111 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
112 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
113 fi
114 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
115 case "$ac_option" in
116 *=*) ;;
117 *) ac_optarg=yes ;;
118 esac
119 eval "enable_${ac_feature}='$ac_optarg'" ;;
120
121 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
122 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
123 | --exec | --exe | --ex)
124 ac_prev=exec_prefix ;;
125 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
126 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
127 | --exec=* | --exe=* | --ex=*)
128 exec_prefix="$ac_optarg" ;;
129
130 -gas | --gas | --ga | --g)
131 # Obsolete; use --with-gas.
132 with_gas=yes ;;
133
134 -help | --help | --hel | --he)
135 # Omit some internal or obsolete options to make the list less imposing.
136 # This message is too long to be a string in the A/UX 3.1 sh.
137 cat << EOF
138Usage: configure [options] [host]
139Options: [defaults in brackets after descriptions]
140Configuration:
141 --cache-file=FILE cache test results in FILE
142 --help print this message
143 --no-create do not create output files
144 --quiet, --silent do not print \`checking...' messages
145 --version print the version of autoconf that created configure
146Directory and file names:
147 --prefix=PREFIX install architecture-independent files in PREFIX
148 [$ac_default_prefix]
149 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
150 [same as prefix]
151 --bindir=DIR user executables in DIR [EPREFIX/bin]
152 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
153 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
154 --datadir=DIR read-only architecture-independent data in DIR
155 [PREFIX/share]
156 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
157 --sharedstatedir=DIR modifiable architecture-independent data in DIR
158 [PREFIX/com]
159 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
160 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
161 --includedir=DIR C header files in DIR [PREFIX/include]
162 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
163 --infodir=DIR info documentation in DIR [PREFIX/info]
164 --mandir=DIR man documentation in DIR [PREFIX/man]
165 --srcdir=DIR find the sources in DIR [configure dir or ..]
166 --program-prefix=PREFIX prepend PREFIX to installed program names
167 --program-suffix=SUFFIX append SUFFIX to installed program names
168 --program-transform-name=PROGRAM
169 run sed PROGRAM on installed program names
170EOF
171 cat << EOF
172Host type:
173 --build=BUILD configure for building on BUILD [BUILD=HOST]
174 --host=HOST configure for HOST [guessed]
175 --target=TARGET configure for TARGET [TARGET=HOST]
176Features and packages:
177 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
178 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
179 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
180 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
181 --x-includes=DIR X include files are in DIR
182 --x-libraries=DIR X library files are in DIR
183EOF
184 if test -n "$ac_help"; then
185 echo "--enable and --with options recognized:$ac_help"
186 fi
187 exit 0 ;;
188
189 -host | --host | --hos | --ho)
190 ac_prev=host ;;
191 -host=* | --host=* | --hos=* | --ho=*)
192 host="$ac_optarg" ;;
193
194 -includedir | --includedir | --includedi | --included | --include \
195 | --includ | --inclu | --incl | --inc)
196 ac_prev=includedir ;;
197 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
198 | --includ=* | --inclu=* | --incl=* | --inc=*)
199 includedir="$ac_optarg" ;;
200
201 -infodir | --infodir | --infodi | --infod | --info | --inf)
202 ac_prev=infodir ;;
203 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
204 infodir="$ac_optarg" ;;
205
206 -libdir | --libdir | --libdi | --libd)
207 ac_prev=libdir ;;
208 -libdir=* | --libdir=* | --libdi=* | --libd=*)
209 libdir="$ac_optarg" ;;
210
211 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
212 | --libexe | --libex | --libe)
213 ac_prev=libexecdir ;;
214 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
215 | --libexe=* | --libex=* | --libe=*)
216 libexecdir="$ac_optarg" ;;
217
218 -localstatedir | --localstatedir | --localstatedi | --localstated \
219 | --localstate | --localstat | --localsta | --localst \
220 | --locals | --local | --loca | --loc | --lo)
221 ac_prev=localstatedir ;;
222 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
223 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
224 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
225 localstatedir="$ac_optarg" ;;
226
227 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
228 ac_prev=mandir ;;
229 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
230 mandir="$ac_optarg" ;;
231
232 -nfp | --nfp | --nf)
233 # Obsolete; use --without-fp.
234 with_fp=no ;;
235
236 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
237 | --no-cr | --no-c)
238 no_create=yes ;;
239
240 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
241 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
242 no_recursion=yes ;;
243
244 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
245 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
246 | --oldin | --oldi | --old | --ol | --o)
247 ac_prev=oldincludedir ;;
248 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
249 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
250 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
251 oldincludedir="$ac_optarg" ;;
252
253 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
254 ac_prev=prefix ;;
255 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
256 prefix="$ac_optarg" ;;
257
258 -program-prefix | --program-prefix | --program-prefi | --program-pref \
259 | --program-pre | --program-pr | --program-p)
260 ac_prev=program_prefix ;;
261 -program-prefix=* | --program-prefix=* | --program-prefi=* \
262 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
263 program_prefix="$ac_optarg" ;;
264
265 -program-suffix | --program-suffix | --program-suffi | --program-suff \
266 | --program-suf | --program-su | --program-s)
267 ac_prev=program_suffix ;;
268 -program-suffix=* | --program-suffix=* | --program-suffi=* \
269 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
270 program_suffix="$ac_optarg" ;;
271
272 -program-transform-name | --program-transform-name \
273 | --program-transform-nam | --program-transform-na \
274 | --program-transform-n | --program-transform- \
275 | --program-transform | --program-transfor \
276 | --program-transfo | --program-transf \
277 | --program-trans | --program-tran \
278 | --progr-tra | --program-tr | --program-t)
279 ac_prev=program_transform_name ;;
280 -program-transform-name=* | --program-transform-name=* \
281 | --program-transform-nam=* | --program-transform-na=* \
282 | --program-transform-n=* | --program-transform-=* \
283 | --program-transform=* | --program-transfor=* \
284 | --program-transfo=* | --program-transf=* \
285 | --program-trans=* | --program-tran=* \
286 | --progr-tra=* | --program-tr=* | --program-t=*)
287 program_transform_name="$ac_optarg" ;;
288
289 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
290 | -silent | --silent | --silen | --sile | --sil)
291 silent=yes ;;
292
293 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
294 ac_prev=sbindir ;;
295 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
296 | --sbi=* | --sb=*)
297 sbindir="$ac_optarg" ;;
298
299 -sharedstatedir | --sharedstatedir | --sharedstatedi \
300 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
301 | --sharedst | --shareds | --shared | --share | --shar \
302 | --sha | --sh)
303 ac_prev=sharedstatedir ;;
304 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
305 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
306 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
307 | --sha=* | --sh=*)
308 sharedstatedir="$ac_optarg" ;;
309
310 -site | --site | --sit)
311 ac_prev=site ;;
312 -site=* | --site=* | --sit=*)
313 site="$ac_optarg" ;;
314
315 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
316 ac_prev=srcdir ;;
317 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
318 srcdir="$ac_optarg" ;;
319
320 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
321 | --syscon | --sysco | --sysc | --sys | --sy)
322 ac_prev=sysconfdir ;;
323 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
324 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
325 sysconfdir="$ac_optarg" ;;
326
327 -target | --target | --targe | --targ | --tar | --ta | --t)
328 ac_prev=target ;;
329 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
330 target="$ac_optarg" ;;
331
332 -v | -verbose | --verbose | --verbos | --verbo | --verb)
333 verbose=yes ;;
334
335 -version | --version | --versio | --versi | --vers)
336 echo "configure generated by autoconf version 2.13"
337 exit 0 ;;
338
339 -with-* | --with-*)
340 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
341 # Reject names that are not valid shell variable names.
342 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
343 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
344 fi
345 ac_package=`echo $ac_package| sed 's/-/_/g'`
346 case "$ac_option" in
347 *=*) ;;
348 *) ac_optarg=yes ;;
349 esac
350 eval "with_${ac_package}='$ac_optarg'" ;;
351
352 -without-* | --without-*)
353 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
354 # Reject names that are not valid shell variable names.
355 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
356 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
357 fi
358 ac_package=`echo $ac_package| sed 's/-/_/g'`
359 eval "with_${ac_package}=no" ;;
360
361 --x)
362 # Obsolete; use --with-x.
363 with_x=yes ;;
364
365 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
366 | --x-incl | --x-inc | --x-in | --x-i)
367 ac_prev=x_includes ;;
368 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
369 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
370 x_includes="$ac_optarg" ;;
371
372 -x-libraries | --x-libraries | --x-librarie | --x-librari \
373 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
374 ac_prev=x_libraries ;;
375 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
376 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
377 x_libraries="$ac_optarg" ;;
378
379 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
380 ;;
381
382 *)
383 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
384 echo "configure: warning: $ac_option: invalid host type" 1>&2
385 fi
386 if test "x$nonopt" != xNONE; then
387 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
388 fi
389 nonopt="$ac_option"
390 ;;
391
392 esac
393done
394
395if test -n "$ac_prev"; then
396 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
397fi
398
399trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
400
401# File descriptor usage:
402# 0 standard input
403# 1 file creation
404# 2 errors and warnings
405# 3 some systems may open it to /dev/tty
406# 4 used on the Kubota Titan
407# 6 checking for... messages and results
408# 5 compiler messages saved in config.log
409if test "$silent" = yes; then
410 exec 6>/dev/null
411else
412 exec 6>&1
413fi
414exec 5>./config.log
415
416echo "\
417This file contains any messages produced by compilers while
418running configure, to aid debugging if configure makes a mistake.
419" 1>&5
420
421# Strip out --no-create and --no-recursion so they do not pile up.
422# Also quote any args containing shell metacharacters.
423ac_configure_args=
424for ac_arg
425do
426 case "$ac_arg" in
427 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
428 | --no-cr | --no-c) ;;
429 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
430 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
431 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
432 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
433 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
434 esac
435done
436
437# NLS nuisances.
438# Only set these to C if already set. These must not be set unconditionally
439# because not all systems understand e.g. LANG=C (notably SCO).
440# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
441# Non-C LC_CTYPE values break the ctype check.
442if test "${LANG+set}" = set; then LANG=C; export LANG; fi
443if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
444if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
445if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
446
447# confdefs.h avoids OS command line length limits that DEFS can exceed.
448rm -rf conftest* confdefs.h
449# AIX cpp loses on an empty file, so make sure it contains at least a newline.
450echo > confdefs.h
451
452# A filename unique to this package, relative to the directory that
453# configure is in, which we can look for to find out if srcdir is correct.
454ac_unique_file=aClient.cpp
455
456# Find the source files, if location was not specified.
457if test -z "$srcdir"; then
458 ac_srcdir_defaulted=yes
459 # Try the directory containing this script, then its parent.
460 ac_prog=$0
461 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
462 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
463 srcdir=$ac_confdir
464 if test ! -r $srcdir/$ac_unique_file; then
465 srcdir=..
466 fi
467else
468 ac_srcdir_defaulted=no
469fi
470if test ! -r $srcdir/$ac_unique_file; then
471 if test "$ac_srcdir_defaulted" = yes; then
472 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
473 else
474 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
475 fi
476fi
477srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
478
479# Prefer explicitly selected file to automatically selected ones.
480if test -z "$CONFIG_SITE"; then
481 if test "x$prefix" != xNONE; then
482 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
483 else
484 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
485 fi
486fi
487for ac_site_file in $CONFIG_SITE; do
488 if test -r "$ac_site_file"; then
489 echo "loading site script $ac_site_file"
490 . "$ac_site_file"
491 fi
492done
493
494if test -r "$cache_file"; then
495 echo "loading cache $cache_file"
496 . $cache_file
497else
498 echo "creating cache $cache_file"
499 > $cache_file
500fi
501
502ac_ext=c
503# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
504ac_cpp='$CPP $CPPFLAGS'
505ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
506ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
507cross_compiling=$ac_cv_prog_cc_cross
508
509ac_exeext=
510ac_objext=o
511if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
512 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
513 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
514 ac_n= ac_c='
515' ac_t=' '
516 else
517 ac_n=-n ac_c= ac_t=
518 fi
519else
520 ac_n= ac_c='\c' ac_t=
521fi
522
523
524
525
526
527for ac_prog in $CCC c++ g++ gcc CC cxx cc++ cl
528do
529# Extract the first word of "$ac_prog", so it can be a program name with args.
530set dummy $ac_prog; ac_word=$2
531echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
532echo "configure:533: checking for $ac_word" >&5
533if eval "test \"`echo '$''{'ac_cv_prog_CXX'+set}'`\" = set"; then
534 echo $ac_n "(cached) $ac_c" 1>&6
535else
536 if test -n "$CXX"; then
537 ac_cv_prog_CXX="$CXX" # Let the user override the test.
538else
539 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
540 ac_dummy="$PATH"
541 for ac_dir in $ac_dummy; do
542 test -z "$ac_dir" && ac_dir=.
543 if test -f $ac_dir/$ac_word; then
544 ac_cv_prog_CXX="$ac_prog"
545 break
546 fi
547 done
548 IFS="$ac_save_ifs"
549fi
550fi
551CXX="$ac_cv_prog_CXX"
552if test -n "$CXX"; then
553 echo "$ac_t""$CXX" 1>&6
554else
555 echo "$ac_t""no" 1>&6
556fi
557
558test -n "$CXX" && break
559done
560test -n "$CXX" || CXX="gcc"
561
562
563echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works""... $ac_c" 1>&6
564echo "configure:565: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works" >&5
565
566ac_ext=C
567# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
568ac_cpp='$CXXCPP $CPPFLAGS'
569ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
570ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
571cross_compiling=$ac_cv_prog_cxx_cross
572
573cat > conftest.$ac_ext << EOF
574
575#line 576 "configure"
576#include "confdefs.h"
577
578int main(){return(0);}
579EOF
580if { (eval echo configure:581: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
581 ac_cv_prog_cxx_works=yes
582 # If we can't run a trivial program, we are probably using a cross compiler.
583 if (./conftest; exit) 2>/dev/null; then
584 ac_cv_prog_cxx_cross=no
585 else
586 ac_cv_prog_cxx_cross=yes
587 fi
588else
589 echo "configure: failed program was:" >&5
590 cat conftest.$ac_ext >&5
591 ac_cv_prog_cxx_works=no
592fi
593rm -fr conftest*
594ac_ext=c
595# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
596ac_cpp='$CPP $CPPFLAGS'
597ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
598ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
599cross_compiling=$ac_cv_prog_cc_cross
600
601echo "$ac_t""$ac_cv_prog_cxx_works" 1>&6
602if test $ac_cv_prog_cxx_works = no; then
603 { echo "configure: error: installation or configuration problem: C++ compiler cannot create executables." 1>&2; exit 1; }
604fi
605echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
606echo "configure:607: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler" >&5
607echo "$ac_t""$ac_cv_prog_cxx_cross" 1>&6
608cross_compiling=$ac_cv_prog_cxx_cross
609
610echo $ac_n "checking whether we are using GNU C++""... $ac_c" 1>&6
611echo "configure:612: checking whether we are using GNU C++" >&5
612if eval "test \"`echo '$''{'ac_cv_prog_gxx'+set}'`\" = set"; then
613 echo $ac_n "(cached) $ac_c" 1>&6
614else
615 cat > conftest.C <<EOF
616#ifdef __GNUC__
617 yes;
618#endif
619EOF
620if { ac_try='${CXX-g++} -E conftest.C'; { (eval echo configure:621: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
621 ac_cv_prog_gxx=yes
622else
623 ac_cv_prog_gxx=no
624fi
625fi
626
627echo "$ac_t""$ac_cv_prog_gxx" 1>&6
628
629if test $ac_cv_prog_gxx = yes; then
630 GXX=yes
631else
632 GXX=
633fi
634
635ac_test_CXXFLAGS="${CXXFLAGS+set}"
636ac_save_CXXFLAGS="$CXXFLAGS"
637CXXFLAGS=
638echo $ac_n "checking whether ${CXX-g++} accepts -g""... $ac_c" 1>&6
639echo "configure:640: checking whether ${CXX-g++} accepts -g" >&5
640if eval "test \"`echo '$''{'ac_cv_prog_cxx_g'+set}'`\" = set"; then
641 echo $ac_n "(cached) $ac_c" 1>&6
642else
643 echo 'void f(){}' > conftest.cc
644if test -z "`${CXX-g++} -g -c conftest.cc 2>&1`"; then
645 ac_cv_prog_cxx_g=yes
646else
647 ac_cv_prog_cxx_g=no
648fi
649rm -f conftest*
650
651fi
652
653echo "$ac_t""$ac_cv_prog_cxx_g" 1>&6
654if test "$ac_test_CXXFLAGS" = set; then
655 CXXFLAGS="$ac_save_CXXFLAGS"
656elif test $ac_cv_prog_cxx_g = yes; then
657 if test "$GXX" = yes; then
658 CXXFLAGS="-g -O2"
659 else
660 CXXFLAGS="-g"
661 fi
662else
663 if test "$GXX" = yes; then
664 CXXFLAGS="-O2"
665 else
666 CXXFLAGS=
667 fi
668fi
669
571bd614 670echo $ac_n "checking how to run the C++ preprocessor""... $ac_c" 1>&6
671echo "configure:672: checking how to run the C++ preprocessor" >&5
672if test -z "$CXXCPP"; then
673if eval "test \"`echo '$''{'ac_cv_prog_CXXCPP'+set}'`\" = set"; then
674 echo $ac_n "(cached) $ac_c" 1>&6
675else
676 ac_ext=C
677# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
678ac_cpp='$CXXCPP $CPPFLAGS'
679ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
680ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
681cross_compiling=$ac_cv_prog_cxx_cross
682 CXXCPP="${CXX-g++} -E"
683 cat > conftest.$ac_ext <<EOF
684#line 685 "configure"
685#include "confdefs.h"
686#include <stdlib.h>
687EOF
688ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
689{ (eval echo configure:690: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
690ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
691if test -z "$ac_err"; then
692 :
693else
694 echo "$ac_err" >&5
695 echo "configure: failed program was:" >&5
696 cat conftest.$ac_ext >&5
697 rm -rf conftest*
698 CXXCPP=/lib/cpp
699fi
700rm -f conftest*
701 ac_cv_prog_CXXCPP="$CXXCPP"
702ac_ext=c
703# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
704ac_cpp='$CPP $CPPFLAGS'
705ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
706ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
707cross_compiling=$ac_cv_prog_cc_cross
708fi
709fi
710CXXCPP="$ac_cv_prog_CXXCPP"
711echo "$ac_t""$CXXCPP" 1>&6
712
713# Extract the first word of "gcc", so it can be a program name with args.
714set dummy gcc; ac_word=$2
715echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
716echo "configure:717: checking for $ac_word" >&5
717if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
718 echo $ac_n "(cached) $ac_c" 1>&6
719else
720 if test -n "$CC"; then
721 ac_cv_prog_CC="$CC" # Let the user override the test.
722else
723 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
724 ac_dummy="$PATH"
725 for ac_dir in $ac_dummy; do
726 test -z "$ac_dir" && ac_dir=.
727 if test -f $ac_dir/$ac_word; then
728 ac_cv_prog_CC="gcc"
729 break
730 fi
731 done
732 IFS="$ac_save_ifs"
733fi
734fi
735CC="$ac_cv_prog_CC"
736if test -n "$CC"; then
737 echo "$ac_t""$CC" 1>&6
738else
739 echo "$ac_t""no" 1>&6
740fi
741
742if test -z "$CC"; then
743 # Extract the first word of "cc", so it can be a program name with args.
744set dummy cc; ac_word=$2
745echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
746echo "configure:747: checking for $ac_word" >&5
747if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
748 echo $ac_n "(cached) $ac_c" 1>&6
749else
750 if test -n "$CC"; then
751 ac_cv_prog_CC="$CC" # Let the user override the test.
752else
753 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
754 ac_prog_rejected=no
755 ac_dummy="$PATH"
756 for ac_dir in $ac_dummy; do
757 test -z "$ac_dir" && ac_dir=.
758 if test -f $ac_dir/$ac_word; then
759 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
760 ac_prog_rejected=yes
761 continue
762 fi
763 ac_cv_prog_CC="cc"
764 break
765 fi
766 done
767 IFS="$ac_save_ifs"
768if test $ac_prog_rejected = yes; then
769 # We found a bogon in the path, so make sure we never use it.
770 set dummy $ac_cv_prog_CC
771 shift
772 if test $# -gt 0; then
773 # We chose a different compiler from the bogus one.
774 # However, it has the same basename, so the bogon will be chosen
775 # first if we set CC to just the basename; use the full file name.
776 shift
777 set dummy "$ac_dir/$ac_word" "$@"
778 shift
779 ac_cv_prog_CC="$@"
780 fi
781fi
782fi
783fi
784CC="$ac_cv_prog_CC"
785if test -n "$CC"; then
786 echo "$ac_t""$CC" 1>&6
787else
788 echo "$ac_t""no" 1>&6
789fi
790
791 if test -z "$CC"; then
792 case "`uname -s`" in
793 *win32* | *WIN32*)
794 # Extract the first word of "cl", so it can be a program name with args.
795set dummy cl; ac_word=$2
796echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
797echo "configure:798: checking for $ac_word" >&5
798if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
799 echo $ac_n "(cached) $ac_c" 1>&6
800else
801 if test -n "$CC"; then
802 ac_cv_prog_CC="$CC" # Let the user override the test.
803else
804 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
805 ac_dummy="$PATH"
806 for ac_dir in $ac_dummy; do
807 test -z "$ac_dir" && ac_dir=.
808 if test -f $ac_dir/$ac_word; then
809 ac_cv_prog_CC="cl"
810 break
811 fi
812 done
813 IFS="$ac_save_ifs"
814fi
815fi
816CC="$ac_cv_prog_CC"
817if test -n "$CC"; then
818 echo "$ac_t""$CC" 1>&6
819else
820 echo "$ac_t""no" 1>&6
821fi
822 ;;
823 esac
824 fi
825 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
826fi
827
828echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
829echo "configure:830: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
830
831ac_ext=c
832# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
833ac_cpp='$CPP $CPPFLAGS'
834ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
835ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
836cross_compiling=$ac_cv_prog_cc_cross
837
838cat > conftest.$ac_ext << EOF
839
840#line 841 "configure"
841#include "confdefs.h"
842
843main(){return(0);}
844EOF
845if { (eval echo configure:846: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
846 ac_cv_prog_cc_works=yes
847 # If we can't run a trivial program, we are probably using a cross compiler.
848 if (./conftest; exit) 2>/dev/null; then
849 ac_cv_prog_cc_cross=no
850 else
851 ac_cv_prog_cc_cross=yes
852 fi
853else
854 echo "configure: failed program was:" >&5
855 cat conftest.$ac_ext >&5
856 ac_cv_prog_cc_works=no
857fi
858rm -fr conftest*
859ac_ext=c
860# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
861ac_cpp='$CPP $CPPFLAGS'
862ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
863ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
864cross_compiling=$ac_cv_prog_cc_cross
865
866echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
867if test $ac_cv_prog_cc_works = no; then
868 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
869fi
870echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
871echo "configure:872: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
872echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
873cross_compiling=$ac_cv_prog_cc_cross
874
875echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
876echo "configure:877: checking whether we are using GNU C" >&5
877if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
878 echo $ac_n "(cached) $ac_c" 1>&6
879else
880 cat > conftest.c <<EOF
881#ifdef __GNUC__
882 yes;
883#endif
884EOF
885if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:886: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
886 ac_cv_prog_gcc=yes
887else
888 ac_cv_prog_gcc=no
889fi
890fi
891
892echo "$ac_t""$ac_cv_prog_gcc" 1>&6
893
894if test $ac_cv_prog_gcc = yes; then
895 GCC=yes
896else
897 GCC=
898fi
899
900ac_test_CFLAGS="${CFLAGS+set}"
901ac_save_CFLAGS="$CFLAGS"
902CFLAGS=
903echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
904echo "configure:905: checking whether ${CC-cc} accepts -g" >&5
905if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
906 echo $ac_n "(cached) $ac_c" 1>&6
907else
908 echo 'void f(){}' > conftest.c
909if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
910 ac_cv_prog_cc_g=yes
911else
912 ac_cv_prog_cc_g=no
913fi
914rm -f conftest*
915
916fi
917
918echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
919if test "$ac_test_CFLAGS" = set; then
920 CFLAGS="$ac_save_CFLAGS"
921elif test $ac_cv_prog_cc_g = yes; then
922 if test "$GCC" = yes; then
923 CFLAGS="-g -O2"
924 else
925 CFLAGS="-g"
926 fi
927else
928 if test "$GCC" = yes; then
929 CFLAGS="-O2"
930 else
931 CFLAGS=
932 fi
933fi
934
93626d45 935
936echo $ac_n "checking for crypt in -lcrypt""... $ac_c" 1>&6
571bd614 937echo "configure:938: checking for crypt in -lcrypt" >&5
93626d45 938ac_lib_var=`echo crypt'_'crypt | sed 'y%./+-%__p_%'`
939if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
940 echo $ac_n "(cached) $ac_c" 1>&6
941else
942 ac_save_LIBS="$LIBS"
943LIBS="-lcrypt $LIBS"
944cat > conftest.$ac_ext <<EOF
571bd614 945#line 946 "configure"
93626d45 946#include "confdefs.h"
947/* Override any gcc2 internal prototype to avoid an error. */
948/* We use char because int might match the return type of a gcc2
949 builtin and then its argument prototype would still apply. */
950char crypt();
951
952int main() {
953crypt()
954; return 0; }
955EOF
571bd614 956if { (eval echo configure:957: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
93626d45 957 rm -rf conftest*
958 eval "ac_cv_lib_$ac_lib_var=yes"
959else
960 echo "configure: failed program was:" >&5
961 cat conftest.$ac_ext >&5
962 rm -rf conftest*
963 eval "ac_cv_lib_$ac_lib_var=no"
964fi
965rm -f conftest*
966LIBS="$ac_save_LIBS"
967
968fi
969if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
970 echo "$ac_t""yes" 1>&6
971 ac_tr_lib=HAVE_LIB`echo crypt | sed -e 's/[^a-zA-Z0-9_]/_/g' \
972 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
973 cat >> confdefs.h <<EOF
974#define $ac_tr_lib 1
975EOF
976
977 LIBS="-lcrypt $LIBS"
978
979else
980 echo "$ac_t""no" 1>&6
981fi
982
983
984echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
571bd614 985echo "configure:986: checking how to run the C preprocessor" >&5
93626d45 986# On Suns, sometimes $CPP names a directory.
987if test -n "$CPP" && test -d "$CPP"; then
988 CPP=
989fi
990if test -z "$CPP"; then
991if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
992 echo $ac_n "(cached) $ac_c" 1>&6
993else
994 # This must be in double quotes, not single quotes, because CPP may get
995 # substituted into the Makefile and "${CC-cc}" will confuse make.
996 CPP="${CC-cc} -E"
997 # On the NeXT, cc -E runs the code through the compiler's parser,
998 # not just through cpp.
999 cat > conftest.$ac_ext <<EOF
571bd614 1000#line 1001 "configure"
93626d45 1001#include "confdefs.h"
1002#include <assert.h>
1003Syntax Error
1004EOF
1005ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
571bd614 1006{ (eval echo configure:1007: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
93626d45 1007ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1008if test -z "$ac_err"; then
1009 :
1010else
1011 echo "$ac_err" >&5
1012 echo "configure: failed program was:" >&5
1013 cat conftest.$ac_ext >&5
1014 rm -rf conftest*
1015 CPP="${CC-cc} -E -traditional-cpp"
1016 cat > conftest.$ac_ext <<EOF
571bd614 1017#line 1018 "configure"
93626d45 1018#include "confdefs.h"
1019#include <assert.h>
1020Syntax Error
1021EOF
1022ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
571bd614 1023{ (eval echo configure:1024: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
93626d45 1024ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1025if test -z "$ac_err"; then
1026 :
1027else
1028 echo "$ac_err" >&5
1029 echo "configure: failed program was:" >&5
1030 cat conftest.$ac_ext >&5
1031 rm -rf conftest*
1032 CPP="${CC-cc} -nologo -E"
1033 cat > conftest.$ac_ext <<EOF
571bd614 1034#line 1035 "configure"
93626d45 1035#include "confdefs.h"
1036#include <assert.h>
1037Syntax Error
1038EOF
1039ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
571bd614 1040{ (eval echo configure:1041: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
93626d45 1041ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1042if test -z "$ac_err"; then
1043 :
1044else
1045 echo "$ac_err" >&5
1046 echo "configure: failed program was:" >&5
1047 cat conftest.$ac_ext >&5
1048 rm -rf conftest*
1049 CPP=/lib/cpp
1050fi
1051rm -f conftest*
1052fi
1053rm -f conftest*
1054fi
1055rm -f conftest*
1056 ac_cv_prog_CPP="$CPP"
1057fi
1058 CPP="$ac_cv_prog_CPP"
1059else
1060 ac_cv_prog_CPP="$CPP"
1061fi
1062echo "$ac_t""$CPP" 1>&6
1063
1064echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
571bd614 1065echo "configure:1066: checking for ANSI C header files" >&5
93626d45 1066if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
1067 echo $ac_n "(cached) $ac_c" 1>&6
1068else
1069 cat > conftest.$ac_ext <<EOF
571bd614 1070#line 1071 "configure"
93626d45 1071#include "confdefs.h"
1072#include <stdlib.h>
1073#include <stdarg.h>
1074#include <string.h>
1075#include <float.h>
1076EOF
1077ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
571bd614 1078{ (eval echo configure:1079: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
93626d45 1079ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1080if test -z "$ac_err"; then
1081 rm -rf conftest*
1082 ac_cv_header_stdc=yes
1083else
1084 echo "$ac_err" >&5
1085 echo "configure: failed program was:" >&5
1086 cat conftest.$ac_ext >&5
1087 rm -rf conftest*
1088 ac_cv_header_stdc=no
1089fi
1090rm -f conftest*
1091
1092if test $ac_cv_header_stdc = yes; then
1093 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
1094cat > conftest.$ac_ext <<EOF
571bd614 1095#line 1096 "configure"
93626d45 1096#include "confdefs.h"
1097#include <string.h>
1098EOF
1099if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1100 egrep "memchr" >/dev/null 2>&1; then
1101 :
1102else
1103 rm -rf conftest*
1104 ac_cv_header_stdc=no
1105fi
1106rm -f conftest*
1107
1108fi
1109
1110if test $ac_cv_header_stdc = yes; then
1111 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
1112cat > conftest.$ac_ext <<EOF
571bd614 1113#line 1114 "configure"
93626d45 1114#include "confdefs.h"
1115#include <stdlib.h>
1116EOF
1117if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1118 egrep "free" >/dev/null 2>&1; then
1119 :
1120else
1121 rm -rf conftest*
1122 ac_cv_header_stdc=no
1123fi
1124rm -f conftest*
1125
1126fi
1127
1128if test $ac_cv_header_stdc = yes; then
1129 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
1130if test "$cross_compiling" = yes; then
1131 :
1132else
1133 cat > conftest.$ac_ext <<EOF
571bd614 1134#line 1135 "configure"
93626d45 1135#include "confdefs.h"
1136#include <ctype.h>
1137#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
1138#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
1139#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
1140int main () { int i; for (i = 0; i < 256; i++)
1141if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
1142exit (0); }
1143
1144EOF
571bd614 1145if { (eval echo configure:1146: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
93626d45 1146then
1147 :
1148else
1149 echo "configure: failed program was:" >&5
1150 cat conftest.$ac_ext >&5
1151 rm -fr conftest*
1152 ac_cv_header_stdc=no
1153fi
1154rm -fr conftest*
1155fi
1156
1157fi
1158fi
1159
1160echo "$ac_t""$ac_cv_header_stdc" 1>&6
1161if test $ac_cv_header_stdc = yes; then
1162 cat >> confdefs.h <<\EOF
1163#define STDC_HEADERS 1
1164EOF
1165
1166fi
1167
44ea29f7 1168echo $ac_n "checking whether time.h and sys/time.h may both be included""... $ac_c" 1>&6
571bd614 1169echo "configure:1170: checking whether time.h and sys/time.h may both be included" >&5
44ea29f7 1170if eval "test \"`echo '$''{'ac_cv_header_time'+set}'`\" = set"; then
1171 echo $ac_n "(cached) $ac_c" 1>&6
1172else
1173 cat > conftest.$ac_ext <<EOF
571bd614 1174#line 1175 "configure"
44ea29f7 1175#include "confdefs.h"
1176#include <sys/types.h>
1177#include <sys/time.h>
1178#include <time.h>
1179int main() {
1180struct tm *tp;
1181; return 0; }
1182EOF
571bd614 1183if { (eval echo configure:1184: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
44ea29f7 1184 rm -rf conftest*
1185 ac_cv_header_time=yes
1186else
1187 echo "configure: failed program was:" >&5
1188 cat conftest.$ac_ext >&5
1189 rm -rf conftest*
1190 ac_cv_header_time=no
1191fi
1192rm -f conftest*
1193fi
1194
1195echo "$ac_t""$ac_cv_header_time" 1>&6
1196if test $ac_cv_header_time = yes; then
1197 cat >> confdefs.h <<\EOF
1198#define TIME_WITH_SYS_TIME 1
1199EOF
1200
1201fi
1202
93626d45 1203for ac_hdr in limits.h unistd.h crypt.h
1204do
1205ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1206echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
571bd614 1207echo "configure:1208: checking for $ac_hdr" >&5
93626d45 1208if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1209 echo $ac_n "(cached) $ac_c" 1>&6
1210else
1211 cat > conftest.$ac_ext <<EOF
571bd614 1212#line 1213 "configure"
93626d45 1213#include "confdefs.h"
1214#include <$ac_hdr>
1215EOF
1216ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
571bd614 1217{ (eval echo configure:1218: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
93626d45 1218ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1219if test -z "$ac_err"; then
1220 rm -rf conftest*
1221 eval "ac_cv_header_$ac_safe=yes"
1222else
1223 echo "$ac_err" >&5
1224 echo "configure: failed program was:" >&5
1225 cat conftest.$ac_ext >&5
1226 rm -rf conftest*
1227 eval "ac_cv_header_$ac_safe=no"
1228fi
1229rm -f conftest*
1230fi
1231if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1232 echo "$ac_t""yes" 1>&6
1233 ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1234 cat >> confdefs.h <<EOF
1235#define $ac_tr_hdr 1
1236EOF
1237
1238else
1239 echo "$ac_t""no" 1>&6
1240fi
1241done
1242
1243
1244echo $ac_n "checking for working const""... $ac_c" 1>&6
571bd614 1245echo "configure:1246: checking for working const" >&5
93626d45 1246if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
1247 echo $ac_n "(cached) $ac_c" 1>&6
1248else
1249 cat > conftest.$ac_ext <<EOF
571bd614 1250#line 1251 "configure"
93626d45 1251#include "confdefs.h"
1252
1253int main() {
1254
1255/* Ultrix mips cc rejects this. */
1256typedef int charset[2]; const charset x;
1257/* SunOS 4.1.1 cc rejects this. */
1258char const *const *ccp;
1259char **p;
1260/* NEC SVR4.0.2 mips cc rejects this. */
1261struct point {int x, y;};
1262static struct point const zero = {0,0};
1263/* AIX XL C 1.02.0.0 rejects this.
1264 It does not let you subtract one const X* pointer from another in an arm
1265 of an if-expression whose if-part is not a constant expression */
1266const char *g = "string";
1267ccp = &g + (g ? g-g : 0);
1268/* HPUX 7.0 cc rejects these. */
1269++ccp;
1270p = (char**) ccp;
1271ccp = (char const *const *) p;
1272{ /* SCO 3.2v4 cc rejects this. */
1273 char *t;
1274 char const *s = 0 ? (char *) 0 : (char const *) 0;
1275
1276 *t++ = 0;
1277}
1278{ /* Someone thinks the Sun supposedly-ANSI compiler will reject this. */
1279 int x[] = {25, 17};
1280 const int *foo = &x[0];
1281 ++foo;
1282}
1283{ /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
1284 typedef const int *iptr;
1285 iptr p = 0;
1286 ++p;
1287}
1288{ /* AIX XL C 1.02.0.0 rejects this saying
1289 "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
1290 struct s { int j; const int *ap[3]; };
1291 struct s *b; b->j = 5;
1292}
1293{ /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
1294 const int foo = 10;
1295}
1296
1297; return 0; }
1298EOF
571bd614 1299if { (eval echo configure:1300: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
93626d45 1300 rm -rf conftest*
1301 ac_cv_c_const=yes
1302else
1303 echo "configure: failed program was:" >&5
1304 cat conftest.$ac_ext >&5
1305 rm -rf conftest*
1306 ac_cv_c_const=no
1307fi
1308rm -f conftest*
1309fi
1310
1311echo "$ac_t""$ac_cv_c_const" 1>&6
1312if test $ac_cv_c_const = no; then
1313 cat >> confdefs.h <<\EOF
1314#define const
1315EOF
1316
1317fi
1318
1319echo $ac_n "checking for size_t""... $ac_c" 1>&6
571bd614 1320echo "configure:1321: checking for size_t" >&5
93626d45 1321if eval "test \"`echo '$''{'ac_cv_type_size_t'+set}'`\" = set"; then
1322 echo $ac_n "(cached) $ac_c" 1>&6
1323else
1324 cat > conftest.$ac_ext <<EOF
571bd614 1325#line 1326 "configure"
93626d45 1326#include "confdefs.h"
1327#include <sys/types.h>
1328#if STDC_HEADERS
1329#include <stdlib.h>
1330#include <stddef.h>
1331#endif
1332EOF
1333if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1334 egrep "(^|[^a-zA-Z_0-9])size_t[^a-zA-Z_0-9]" >/dev/null 2>&1; then
1335 rm -rf conftest*
1336 ac_cv_type_size_t=yes
1337else
1338 rm -rf conftest*
1339 ac_cv_type_size_t=no
1340fi
1341rm -f conftest*
1342
1343fi
1344echo "$ac_t""$ac_cv_type_size_t" 1>&6
1345if test $ac_cv_type_size_t = no; then
1346 cat >> confdefs.h <<\EOF
1347#define size_t unsigned
1348EOF
1349
1350fi
1351
1352
1353for ac_func in socket strcspn strspn strtol strtok
1354do
1355echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
571bd614 1356echo "configure:1357: checking for $ac_func" >&5
93626d45 1357if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
1358 echo $ac_n "(cached) $ac_c" 1>&6
1359else
1360 cat > conftest.$ac_ext <<EOF
571bd614 1361#line 1362 "configure"
93626d45 1362#include "confdefs.h"
1363/* System header to define __stub macros and hopefully few prototypes,
1364 which can conflict with char $ac_func(); below. */
1365#include <assert.h>
1366/* Override any gcc2 internal prototype to avoid an error. */
1367/* We use char because int might match the return type of a gcc2
1368 builtin and then its argument prototype would still apply. */
1369char $ac_func();
1370
1371int main() {
1372
1373/* The GNU C library defines this for functions which it implements
1374 to always fail with ENOSYS. Some functions are actually named
1375 something starting with __ and the normal name is an alias. */
1376#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
1377choke me
1378#else
1379$ac_func();
1380#endif
1381
1382; return 0; }
1383EOF
571bd614 1384if { (eval echo configure:1385: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
93626d45 1385 rm -rf conftest*
1386 eval "ac_cv_func_$ac_func=yes"
1387else
1388 echo "configure: failed program was:" >&5
1389 cat conftest.$ac_ext >&5
1390 rm -rf conftest*
1391 eval "ac_cv_func_$ac_func=no"
1392fi
1393rm -f conftest*
1394fi
1395
1396if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
1397 echo "$ac_t""yes" 1>&6
1398 ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
1399 cat >> confdefs.h <<EOF
1400#define $ac_tr_func 1
1401EOF
1402
1403else
1404 echo "$ac_t""no" 1>&6
1405fi
1406done
1407
93626d45 1408trap '' 1 2 15
1409cat > confcache <<\EOF
1410# This file is a shell script that caches the results of configure
1411# tests run on this system so they can be shared between configure
1412# scripts and configure runs. It is not useful on other systems.
1413# If it contains results you don't want to keep, you may remove or edit it.
1414#
1415# By default, configure uses ./config.cache as the cache file,
1416# creating it if it does not exist already. You can give configure
1417# the --cache-file=FILE option to use a different cache file; that is
1418# what configure does when it calls configure scripts in
1419# subdirectories, so they share the cache.
1420# Giving --cache-file=/dev/null disables caching, for debugging configure.
1421# config.status only pays attention to the cache file if you give it the
1422# --recheck option to rerun configure.
1423#
1424EOF
1425# The following way of writing the cache mishandles newlines in values,
1426# but we know of no workaround that is simple, portable, and efficient.
1427# So, don't put newlines in cache variables' values.
1428# Ultrix sh set writes to stderr and can't be redirected directly,
1429# and sets the high bit in the cache file unless we assign to the vars.
1430(set) 2>&1 |
1431 case `(ac_space=' '; set | grep ac_space) 2>&1` in
1432 *ac_space=\ *)
1433 # `set' does not quote correctly, so add quotes (double-quote substitution
1434 # turns \\\\ into \\, and sed turns \\ into \).
1435 sed -n \
1436 -e "s/'/'\\\\''/g" \
1437 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1438 ;;
1439 *)
1440 # `set' quotes correctly as required by POSIX, so do not add quotes.
1441 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1442 ;;
1443 esac >> confcache
1444if cmp -s $cache_file confcache; then
1445 :
1446else
1447 if test -w $cache_file; then
1448 echo "updating cache $cache_file"
1449 cat confcache > $cache_file
1450 else
1451 echo "not updating unwritable cache $cache_file"
1452 fi
1453fi
1454rm -f confcache
1455
1456trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1457
1458test "x$prefix" = xNONE && prefix=$ac_default_prefix
1459# Let make expand exec_prefix.
1460test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1461
1462# Any assignment to VPATH causes Sun make to only execute
1463# the first set of double-colon rules, so remove it if not needed.
1464# If there is a colon in the path, we need to keep it.
1465if test "x$srcdir" = x.; then
1466 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1467fi
1468
1469trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1470
1471DEFS=-DHAVE_CONFIG_H
1472
1473# Without the "./", some shells look in PATH for config.status.
1474: ${CONFIG_STATUS=./config.status}
1475
1476echo creating $CONFIG_STATUS
1477rm -f $CONFIG_STATUS
1478cat > $CONFIG_STATUS <<EOF
1479#! /bin/sh
1480# Generated automatically by configure.
1481# Run this file to recreate the current configuration.
1482# This directory was configured as follows,
1483# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1484#
1485# $0 $ac_configure_args
1486#
1487# Compiler output produced by configure, useful for debugging
1488# configure, is in ./config.log if it exists.
1489
1490ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1491for ac_option
1492do
1493 case "\$ac_option" in
1494 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1495 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1496 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1497 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1498 echo "$CONFIG_STATUS generated by autoconf version 2.13"
1499 exit 0 ;;
1500 -help | --help | --hel | --he | --h)
1501 echo "\$ac_cs_usage"; exit 0 ;;
1502 *) echo "\$ac_cs_usage"; exit 1 ;;
1503 esac
1504done
1505
1506ac_given_srcdir=$srcdir
1507
1508trap 'rm -fr `echo "Makefile config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1509EOF
1510cat >> $CONFIG_STATUS <<EOF
1511
1512# Protect against being on the right side of a sed subst in config.status.
1513sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1514 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1515$ac_vpsub
1516$extrasub
1517s%@SHELL@%$SHELL%g
1518s%@CFLAGS@%$CFLAGS%g
1519s%@CPPFLAGS@%$CPPFLAGS%g
1520s%@CXXFLAGS@%$CXXFLAGS%g
1521s%@FFLAGS@%$FFLAGS%g
1522s%@DEFS@%$DEFS%g
1523s%@LDFLAGS@%$LDFLAGS%g
1524s%@LIBS@%$LIBS%g
1525s%@exec_prefix@%$exec_prefix%g
1526s%@prefix@%$prefix%g
1527s%@program_transform_name@%$program_transform_name%g
1528s%@bindir@%$bindir%g
1529s%@sbindir@%$sbindir%g
1530s%@libexecdir@%$libexecdir%g
1531s%@datadir@%$datadir%g
1532s%@sysconfdir@%$sysconfdir%g
1533s%@sharedstatedir@%$sharedstatedir%g
1534s%@localstatedir@%$localstatedir%g
1535s%@libdir@%$libdir%g
1536s%@includedir@%$includedir%g
1537s%@oldincludedir@%$oldincludedir%g
1538s%@infodir@%$infodir%g
1539s%@mandir@%$mandir%g
1540s%@CXX@%$CXX%g
571bd614 1541s%@CXXCPP@%$CXXCPP%g
1542s%@CC@%$CC%g
93626d45 1543s%@CPP@%$CPP%g
1544
1545CEOF
1546EOF
1547
1548cat >> $CONFIG_STATUS <<\EOF
1549
1550# Split the substitutions into bite-sized pieces for seds with
1551# small command number limits, like on Digital OSF/1 and HP-UX.
1552ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1553ac_file=1 # Number of current file.
1554ac_beg=1 # First line for current file.
1555ac_end=$ac_max_sed_cmds # Line after last line for current file.
1556ac_more_lines=:
1557ac_sed_cmds=""
1558while $ac_more_lines; do
1559 if test $ac_beg -gt 1; then
1560 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1561 else
1562 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1563 fi
1564 if test ! -s conftest.s$ac_file; then
1565 ac_more_lines=false
1566 rm -f conftest.s$ac_file
1567 else
1568 if test -z "$ac_sed_cmds"; then
1569 ac_sed_cmds="sed -f conftest.s$ac_file"
1570 else
1571 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1572 fi
1573 ac_file=`expr $ac_file + 1`
1574 ac_beg=$ac_end
1575 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1576 fi
1577done
1578if test -z "$ac_sed_cmds"; then
1579 ac_sed_cmds=cat
1580fi
1581EOF
1582
1583cat >> $CONFIG_STATUS <<EOF
1584
1585CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1586EOF
1587cat >> $CONFIG_STATUS <<\EOF
1588for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1589 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1590 case "$ac_file" in
1591 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1592 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1593 *) ac_file_in="${ac_file}.in" ;;
1594 esac
1595
1596 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1597
1598 # Remove last slash and all that follows it. Not all systems have dirname.
1599 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1600 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1601 # The file is in a subdirectory.
1602 test ! -d "$ac_dir" && mkdir "$ac_dir"
1603 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1604 # A "../" for each directory in $ac_dir_suffix.
1605 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1606 else
1607 ac_dir_suffix= ac_dots=
1608 fi
1609
1610 case "$ac_given_srcdir" in
1611 .) srcdir=.
1612 if test -z "$ac_dots"; then top_srcdir=.
1613 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1614 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1615 *) # Relative path.
1616 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1617 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1618 esac
1619
1620
1621 echo creating "$ac_file"
1622 rm -f "$ac_file"
1623 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1624 case "$ac_file" in
1625 *Makefile*) ac_comsub="1i\\
1626# $configure_input" ;;
1627 *) ac_comsub= ;;
1628 esac
1629
1630 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1631 sed -e "$ac_comsub
1632s%@configure_input@%$configure_input%g
1633s%@srcdir@%$srcdir%g
1634s%@top_srcdir@%$top_srcdir%g
1635" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1636fi; done
1637rm -f conftest.s*
1638
1639# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1640# NAME is the cpp macro being defined and VALUE is the value it is being given.
1641#
1642# ac_d sets the value in "#define NAME VALUE" lines.
1643ac_dA='s%^\([ ]*\)#\([ ]*define[ ][ ]*\)'
1644ac_dB='\([ ][ ]*\)[^ ]*%\1#\2'
1645ac_dC='\3'
1646ac_dD='%g'
1647# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1648ac_uA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1649ac_uB='\([ ]\)%\1#\2define\3'
1650ac_uC=' '
1651ac_uD='\4%g'
1652# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1653ac_eA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1654ac_eB='$%\1#\2define\3'
1655ac_eC=' '
1656ac_eD='%g'
1657
1658if test "${CONFIG_HEADERS+set}" != set; then
1659EOF
1660cat >> $CONFIG_STATUS <<EOF
1661 CONFIG_HEADERS="config.h"
1662EOF
1663cat >> $CONFIG_STATUS <<\EOF
1664fi
1665for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1666 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1667 case "$ac_file" in
1668 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1669 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1670 *) ac_file_in="${ac_file}.in" ;;
1671 esac
1672
1673 echo creating $ac_file
1674
1675 rm -f conftest.frag conftest.in conftest.out
1676 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1677 cat $ac_file_inputs > conftest.in
1678
1679EOF
1680
1681# Transform confdefs.h into a sed script conftest.vals that substitutes
1682# the proper values into config.h.in to produce config.h. And first:
1683# Protect against being on the right side of a sed subst in config.status.
1684# Protect against being in an unquoted here document in config.status.
1685rm -f conftest.vals
1686cat > conftest.hdr <<\EOF
1687s/[\\&%]/\\&/g
1688s%[\\$`]%\\&%g
1689s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1690s%ac_d%ac_u%gp
1691s%ac_u%ac_e%gp
1692EOF
1693sed -n -f conftest.hdr confdefs.h > conftest.vals
1694rm -f conftest.hdr
1695
1696# This sed command replaces #undef with comments. This is necessary, for
1697# example, in the case of _POSIX_SOURCE, which is predefined and required
1698# on some systems where configure will not decide to define it.
1699cat >> conftest.vals <<\EOF
1700s%^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1701EOF
1702
1703# Break up conftest.vals because some shells have a limit on
1704# the size of here documents, and old seds have small limits too.
1705
1706rm -f conftest.tail
1707while :
1708do
1709 ac_lines=`grep -c . conftest.vals`
1710 # grep -c gives empty output for an empty file on some AIX systems.
1711 if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1712 # Write a limited-size here document to conftest.frag.
1713 echo ' cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1714 sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1715 echo 'CEOF
1716 sed -f conftest.frag conftest.in > conftest.out
1717 rm -f conftest.in
1718 mv conftest.out conftest.in
1719' >> $CONFIG_STATUS
1720 sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1721 rm -f conftest.vals
1722 mv conftest.tail conftest.vals
1723done
1724rm -f conftest.vals
1725
1726cat >> $CONFIG_STATUS <<\EOF
1727 rm -f conftest.frag conftest.h
1728 echo "/* $ac_file. Generated automatically by configure. */" > conftest.h
1729 cat conftest.in >> conftest.h
1730 rm -f conftest.in
1731 if cmp -s $ac_file conftest.h 2>/dev/null; then
1732 echo "$ac_file is unchanged"
1733 rm -f conftest.h
1734 else
1735 # Remove last slash and all that follows it. Not all systems have dirname.
1736 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1737 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1738 # The file is in a subdirectory.
1739 test ! -d "$ac_dir" && mkdir "$ac_dir"
1740 fi
1741 rm -f $ac_file
1742 mv conftest.h $ac_file
1743 fi
1744fi; done
1745
1746EOF
1747cat >> $CONFIG_STATUS <<EOF
1748
1749EOF
1750cat >> $CONFIG_STATUS <<\EOF
1751
1752exit 0
1753EOF
1754chmod +x $CONFIG_STATUS
1755rm -fr confdefs* $ac_clean_files
1756test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1757